Error - Perl execution failed on Webmin 1970

Dear support, I find this error after update from 1.962 to 1.970

Please can you help me? Thanks of lot Claudio

Error - Perl execution failed Undefined subroutine &main::authentic called at /usr/share/webmin/authentic-theme/index.cgi line 12.

Status: 
Fixed (pending)
Virtualmin version: 
1970
Webmin version: 
1970

Comments

If you SSH in as root and run /etc/webmin/restart , does that fix the issue?

Nope, I try restarting the service and not work

Does it help if you logout of Webmin and login again? And refresh the page in your browser?

I try to do this in incognito mode, and find the same error after login :-/

Dear Jamie Cameron I rolled back the system using the below commands:

Now the system is restored and working on v1.962 The upgrade to 1.970 have any issue, I have upgraded my systems multiple times in the past and never has been an issue.. this case is different.

Thank you! mrcheidel

Hello,

Same problem and error message here with webmin 1.970 on Ubuntu 18.04.5 LTS

Regards,

Ilia's picture
Submitted by Ilia on Fri, 01/08/2021 - 06:54

When you restart Webmin does the pid change?

Is there a way to login and have a closer look? It mustn't be happening.

Ilia's picture
Submitted by Ilia on Sat, 01/09/2021 - 12:14

Okay, this issue has been reproduced and fixed.

It was tricky to find out the cause, as it only affected logins with sudo-capable users.

Webmin 1.971 will have it fixed. Meanwhile, you can manually apply the patch and restart Webmin.

Ilia's picture
Submitted by Ilia on Sat, 01/09/2021 - 12:14

Status: Active ยป Fixed (pending)

Hello Ilia,

I can confirm that's the patch works.

Thanks for all

Regards